Requirements

Applies to TestComplete 14.90, last modified on June 15, 2021

Your test computer, where you will run ReadyAPI or SoapUI tests, must have the following software installed:

  • A license for TestComplete Web module.

  • A testing tool that will run your API tests:

    • ReadyAPI version 1.2.1 or later.

    – or –

    • SoapUI version 5.1.2 or later.

TestComplete installed on your test computer must meet the following requirements:

  • TestComplete must be running under a user account to which your ReadyAPI license is bound. To learn how to run TestComplete as a specific user, see Working With TestComplete Under User Accounts.

  • The ReadyAPI Editor and ReadyAPI Runner features of the Web module must be enabled in TestComplete (they are enabled by default). If you experience any issues with API testing in TestComplete, select File > Install Extensions from the TestComplete main menu and enable the features.

  • The TestComplete ReadyAPI Options dialog must specify the path to the folder in which ReadyAPI or SoapUI resides.

See Also

Integration With ReadyAPI and SoapUI
ReadyAPI Options Dialog
Working With TestComplete

Highlight search results